/*---------------------------------------------------------------------
 * $AstecId: user-class.c,v 1.2 2003/01/29 04:17:22 kosaka Exp $
 * $Source: /rcs/rcs2/customize/user-class.c,v $
 * $Date: 1996/11/09 16:38:19 $             $Revision: 2.2.65.1 $
 *---------------------------------------------------------------------
 * 
 *
 *             Copyright (c) 1991, Visual Edge Software Ltd.
 *
 * ALL  RIGHTS  RESERVED.  Permission  to  use,  copy,  modify,  and
 * distribute  this  software  and its documentation for any purpose
 * and  without  fee  is  hereby  granted,  provided  that the above
 * copyright  notice  appear  in  all  copies  and  that  both  that
 * copyright  notice and this permission notice appear in supporting
 * documentation,  and that  the name of Visual Edge Software not be
 * used  in advertising  or publicity  pertaining to distribution of
 * the software without specific, written prior permission. The year
 * included in the notice is the year of the creation of the work.
 *-------------------------------------------------------------------*/

/*
 * XRT products and UIM/X integration file
 *
 *  SCCSID -- @(#)user-class.c	1.8    95/11/10 KL Group Inc.
 */

/****
 **** This function is called at program initialization time to let the
 **** user register any new classes he wants.
 ****
 ****/

void
UxAddUserDefClasses()
{
/*	Put your classes here */
#ifdef	HASBAE
	extern void UxRegister_matrix();
	extern void UxRegister_caption();

	UxRegister_matrix();
	UxRegister_caption();
#endif	/* HASBAE */

#ifdef	XRT
#ifdef HASXRTGRAPH
	XrtGph_class();
#endif /* HASXRTGRAPH */

#ifdef HASXRT3D
	Xrt3d_class();
#endif /* HASXRT3D */

#ifdef HASXRTTABLE
	XrtTbl_class();
#endif /* HASXRTTABLE */

#ifdef HASXRTFIELD
	XrtFld_class();
#endif /* HASXRTFIELD */

#ifdef HASXRTGEAR
	XrtGear_class();
#endif /* HASXRTGEAR */

#ifdef HASXRTGAUGE
	XrtGauge_class();
#endif /* HASXRTGAUGE */
#endif	/* XRT */
}
