
/*******************************************************************************
       UxXrtPopup.h
       (Generated from interface file UxXrtPopup.i)
       This header file is included by UxXrtPopup.c

*******************************************************************************/

#ifndef	_UXXRTPOPUP_INCLUDED
#define	_UXXRTPOPUP_INCLUDED

#include <stdio.h>
#include "UxLib.h"

#ifndef XKLOADDS
#define XKLOADDS
#endif /* XKLOADDS */

/*******************************************************************************
       The definition of the context structure:
       If you create multiple copies of your interface, the context
       structure ensures that your callbacks use the variables for the
       correct copy.

       For each swidget in the interface, each argument to the Interface
       function, and each variable in the Interface Specific section of the
       Declarations Editor, there is an entry in the context structure
       and a #define.  The #define makes the variable name refer to the
       corresponding entry in the context structure.
*******************************************************************************/

typedef	struct
{
	swidget	UxXrtFSB;
	swidget	UxXrtPedit;
	PeSlotPtr	UxXrtFSBSlot;
	char	*UxXrtHomeDir;
	char	*Uxsearch_pattern;
    Boolean  UxIsSeriesEditor;
} _UxCxrtFileSelectionBoxDialog;

#ifdef CONTEXT_MACRO_ACCESS
static _UxCxrtFileSelectionBoxDialog *UxXrtFileSelectionBoxDialogContext;
#define XrtFSB                  UxXrtFileSelectionBoxDialogContext->UxXrtFSB
#define XrtPedit                UxXrtFileSelectionBoxDialogContext->UxXrtPedit
#define XrtFSBSlot              UxXrtFileSelectionBoxDialogContext->UxXrtFSBSlot
#define XrtHomeDir              UxXrtFileSelectionBoxDialogContext->UxXrtHomeDir
#define search_pattern          UxXrtFileSelectionBoxDialogContext->Uxsearch_pattern
#define IsSeriesEditor          UxXrtFileSelectionBoxDialogContext->UxIsSeriesEditor

#endif /* CONTEXT_MACRO_ACCESS */

extern swidget	xrtFileSelectionBoxDialog;
extern swidget	xrtFileSelectionBox;

/*******************************************************************************
       Declarations of global functions.
*******************************************************************************/

swidget	create_xrtFileSelectionBoxDialog();

#endif	/* _UXXRTPOPUP_INCLUDED */
